package writecachebadger

import (
	"testing"
	"time"

	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/local_object_storage/internal/storagetest"
	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/util/logger"
	"go.uber.org/zap"
)

func TestGeneric(t *testing.T) {
	storagetest.TestAll(t, func(t *testing.T) storagetest.Component {
		return New(
			WithLogger(&logger.Logger{Logger: zap.L()}),
			WithFlushWorkersCount(2),
			WithPath(t.TempDir()),
			WithGCInterval(1*time.Second))
	})
}
